import { GET, POST } from "@mobileUI/utils/http";
import { proxy_api } from "@mobileUI/utils/env";
import Store from "@mobileUI/store";

export default {
  // 获取资料库列表
  getMaterialList(params, type) {
    return POST(`${proxy_api[Store.node_env]}/api/${type}/material/list`, params);
  },
  //获取资料库分组（个人/企业）
  getGroupList(params) {
    return POST(`${proxy_api[Store.node_env]}/interact/material/group/list`, params);
  },
  // 查询资料数
  getMaterialGroupCount(params) {
    return GET(`${proxy_api[Store.node_env]}/api/user/material/count`, params);
  },
};
